Do 1.1.1.2 and 1.1.1.3 officially support DoT now?

The FAQ seems to imply they do not, but these work:

tls://security.cloudflare-dns.com
tls://family.cloudflare-dns.com

However, using tls://1.1.1.2 or tls://1.1.1.3 results in a certificate error. I wonder why Cloudflare doesn’t fix it.